Subject: [Lake] WGLC issues wrt requirements

From: Stephen Farrell <[email-masked]>
Date: Tue, 31 Mar 2020 15:31:18 +0100

Hiya,

I've re-read the mails on the WGLC for the requirements
and think it may be useful to try see if we can reach
agreement on the call wrt three issues, in addition to
processing the more detailed comments folks have made.
So I'll be suggesting we talk about and try resolve
these at the top of the call today before delving into
details of specific comments/text.

The three issues where I think we might benefit from
a little higher level discussion are:

1. Relationship to cose/oscore.
2. How many AKEs?
3. How much precision is useful wrt lower layers?

#1 It seems clear that a number of statements in the
current text are seen as being too tied to one way of
providing an AKE (i.e. edhoc) and also seen as being
statements that might preclude taking a different
approach (i.e. ctls). ISTM that the WG need to resolve
this to make progress. The text in github is a little
better there, but I can't see how it resolves the
issue to where we could declare rough consensus TBH.

#2 Various of the bits of text that were commented upon
include the phrase "The AKE." I think the WG might make
better progress if we recognise that the eventual outcome
of this effort is v. likely to lead to two AKEs - one
based on edhoc and one based on ctls, with the latter
being progressed in the TLS WG, according to a different
timeline. If we are all ok with recognising that, then I
think it ought be easier to make progress, compared to
trying to have a beauty contest between the two (and/or
one group trying to disrupt the work of the other;-) So
if we get rid of the idea of a beauty contest and both
AKEs being developed on the same timeline, that'd be
good. If we cannot, then we may be somewhat stuck.

#3 A few WGLC comments seemed to me to call for much
more precise statements, formulas, or other descriptions
of the details of communications when an AKE meeting
these requirements is to be used. From my knowledge of
lorawan, I don't think that is really achievable as there
are too many variants based on frequencies used, distance
and the variations in uplink handling. So I think we need
come to some agreement as to how not have to try
characterise the environment in which an AKE would be
use that call for being impossibly precise.

Lastly, on a personal note, I think I've said before that
I am utterly uninterested in being involved in a protracted
pissing competition between two proposals in this space.
(If you didn't hear me say that before, well, now you
have:-) So please bear in mind that I have no patience
at all for approaches to finishing this text that might
stretch out for months ahead - we need to get this sorted
out and *done* in a few weeks, or else recognise that the
current WG charter is not workable.

Cheers,
S.